# $Revision: 1.4 $, $Date: 2012/05/22 16:19:37 $
#
# Conditional build:
%bcond_with	krb5		# build with MIT kerberos
#
Summary:	Obtain and optionally keep active a Kerberos v5 ticket
Name:		kstart
Version:	4.1
Release:	1
License:	MIT
Group:		Applications
Source0:	http://archives.eyrie.org/software/kerberos/%{name}-%{version}.tar.gz
# Source0-md5:	313e6f120d2e6f2e79ab20b1a4ec8be5
URL:		http://www.eyrie.org/~eagle/software/kstart/
%if %{with krb5}
BuildRequires:	krb5-devel
%else
BuildRequires:	heimdal-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
k5start and krenew are modified versions of kinit which add support
for running as a daemon to maintain a ticket cache, running a command
with credentials from a keytab and maintaining a ticket cache until
that command completes, obtaining AFS tokens (via an external aklog)
after obtaining tickets, and creating an AFS PAG for a command.
They are primarily useful in conjunction with long-running jobs; for
moving ticket handling code out of servers, cron jobs, or daemons; and
to obtain tickets and AFS tokens with a single command.

%prep
%setup -q

%build
%configure \
	--disable-k4start \
	--enable-setpag

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kstart.spec,v $
Revision 1.4  2012/05/22 16:19:37  blekot
- up to 4.1

Revision 1.3  2010/10/22 19:20:30  baggins
- rel 1

Revision 1.2  2010/10/22 19:19:31  baggins
- enable creating an AFS PAG

Revision 1.1  2010/10/21 19:44:39  baggins
- initial revision

